Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons.formatters
Class dateFormatter

    java.lang.Object
      org.makumba.commons.formatters.FieldFormatter
          org.makumba.commons.formatters.dateFormatter

Direct Known Subclasses:
  timestampFormatter

    public class dateFormatter

extends FieldFormatter

Field Summary
`(package private) static String[]` | `_params`
`(package private) static String[][]` | `_paramValues`
`static Calendar` | `calendar`
`static DateFormat` | `debugTime`
`static DateFormat` | `yearDate`

Fields inherited from class org.makumba.commons.formatters.FieldFormatter
`dummy, params, paramValues, validParams`

Constructor Summary
`protected` | `dateFormatter()` Don't use this, use getInstance()

Method Summary
`String` | `formatNotNull(RecordFormatter rf, int fieldIndex, Object o, Dictionary<String,Object> formatParams)` Formats the not-null-object to pure text.
`String[]` | `getAcceptedParams()`
`String[][]` | `getAcceptedValue()`
`static FieldFormatter` | `getInstance()`

Methods inherited from class org.makumba.commons.formatters.FieldFormatter
`checkParam, checkParams, equals, format, formatNull, getDefaultValueFormat, getEmptyValueFormat, getExpr, getIntParam, getIntParamString, initExpr, resetValueFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _params

    static String[] _params

### _paramValues

    static String[][] _paramValues

### calendar

    public static final Calendar calendar

### yearDate

    public static final DateFormat yearDate

### debugTime

    public static final DateFormat debugTime

Constructor Detail

### dateFormatter

    protected dateFormatter()

  Don't use this, use getInstance()

Method Detail

### getAcceptedParams

    public String[] getAcceptedParams()

  Overrides:
    `getAcceptedParams` in class `FieldFormatter`

### getAcceptedValue

    public String[][] getAcceptedValue()

  Overrides:
    `getAcceptedValue` in class `FieldFormatter`

### getInstance

    public static FieldFormatter getInstance()

### formatNotNull

    public String formatNotNull(RecordFormatter rf,
                                int fieldIndex,
                                Object o,
                                Dictionary<String,Object> formatParams)

  Description copied from class: `FieldFormatter`
  Formats the not-null-object to pure text. To be over-ridden by subclasses.

  Overrides:
    `formatNotNull` in class `FieldFormatter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20